<script setup lang="ts">

import { storeToRefs } from "pinia";
import { useAuthStore } from "../stores/auth";
const authStore = useAuthStore();
const {token} = storeToRefs(authStore);

function loginPopup()  {
  const loginWindow = window.open(import.meta.env.VITE_SERVER_URL+'/api/login', 'Login', 'width=500,height=300');
  
  window.addEventListener('message', function loglistener(event) {
    if(event.origin != import.meta.env.VITE_SERVER_URL) return;
    console.log(event.data);
    authStore.connect(event.data.token, event.data.refreshToken);
    
    loginWindow?.close();
    window.removeEventListener('message', loglistener);
  });
  
}
</script>


<template>

<el-button v-if="!token" @click="loginPopup()">Login</el-button>
<el-button v-if="token" @click="authStore.logout()">Logout</el-button>
</template>